Сайт | Скачать | Видео | Wiki

Автор Тема: LFD10-21.11 ffDiaporama не запускается  (Прочитано 990 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
LFD10-21.11 ffDiaporama не запускается
« : 01 Декабрь 2021, 17:39:16 »
Ошибка следующая - Cannot mix incompatible Qt library (5.11.3) with this library (5.15.2)  :'(

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32840
  • Репутация: +222/-0
    • PuppyRus-A
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #1 : 01 Декабрь 2021, 17:42:03 »
Используйте qt либы из одного комплекта
Некоторые подходят чуть ли не любые. Некоторые надо перекомпилять под свой base

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #2 : 01 Декабрь 2021, 17:53:15 »
Дело в том, что я просто подключил модули, которые тянул в качестве зависимостей модуль ffDiaporama - больше ничего не делал, система чистая

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32840
  • Репутация: +222/-0
    • PuppyRus-A
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #3 : 01 Декабрь 2021, 17:57:28 »
Я обновлял 030-qt5 . Проверял с ним только то, что в исо. Возьмите старый 030-qt5

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #4 : 01 Декабрь 2021, 18:01:26 »
В модуле ffDiaporama либы qt5 от версии 5.11
Код
live@d10:~$ sudo find /mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/ -name libQt5*
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5.11
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5.11.3
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Help.so.5
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Help.so.5.11
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Help.so.5.11.3
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Sql.so.5
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Sql.so.5.11
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Sql.so.5.11.3
А в системе стоит qt5.15
Код
live@d10:~$ sudo find /usr -name libQt5Core*
/usr/lib/libQt5Core.prl
/usr/lib/libQt5Core.so
/usr/lib/libQt5Core.so.5
/usr/lib/libQt5Core.so.5.15
/usr/lib/libQt5Core.so.5.15.2
live@d10:~$

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #5 : 01 Декабрь 2021, 18:03:47 »
Возьмите старый 030-qt5
Где взять? нужна версия 5.11

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #6 : 01 Декабрь 2021, 19:28:02 »
Вообщем установил из репозитария вручную - ошибка сегментирования. Помню занимался этой ошибкой касаемо ffDiaporama на арче - но так ничего не получилось  :(
Код
live@d10:~$ ffDiaporama
[19:19:27.290:INFO] QT Version:5.11.3
[19:19:27.290:INFO] StartupDir /home/live
[19:19:27.290:INFO] Application not found in directory /home/live/BUILDVERSION.txt
[19:19:27.290:INFO] Application not found in directory /../../ffDiaporama/BUILDVERSION.txt
[19:19:27.290:INFO] Application not found in directory /../ffDiaporama/BUILDVERSION.txt
[19:19:27.290:INFO] Application not found in directory /opt/share/ffDiaporama/BUILDVERSION.txt
[19:19:27.290:INFO] Application found in directory /usr/share/ffDiaporama/BUILDVERSION.txt
[19:19:27.290:INFO] Set working path to /usr/share/ffDiaporama
[19:19:27.290:INFO] Start ffDiaporama 2.1 (20140209) ...
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-live'
qt5ct: using qt5ct plugin
[19:19:27.308:INFO] Parse command line ...
[19:19:27.308:INFO] Set LogLevel to INFORMATION
[19:19:27.308:INFO] Start GUI ...
[19:19:27.309:INFO] Start ...
libpng warning: iCCP: known incorrect sRGB profile
[19:19:27.478:INFO] Init home user database...
QSqlDatabase: QSQLITE driver not loaded
QSqlDatabase: available drivers:
[19:19:27.478:INFO] Init translations...
[19:19:27.479:INFO] Language "ru" not found : switch to english
[19:19:27.479:INFO] Read configuration file /usr/share/ffDiaporama/ffDiaporama.xml
[19:19:27.484:INFO] Read configuration file /usr/share/ffDiaporama/Devices.xml
[19:19:27.489:INFO] Read configuration file /home/live/.ffDiaporama/ffDiaporama.xml
[19:19:27.490:INFO] Read configuration file /home/live/.ffDiaporama/Devices.xml
[19:19:27.490:ERROR] Restore from a previous crash...
Ошибка сегментирования
live@d10:~$

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #7 : 01 Декабрь 2021, 19:33:33 »
Запустилось  ??? Установил libqt5sql5-sqlite дело было в этом
19:19:27.478:INFO]   Init home user database...
QSqlDatabase: QSQLITE driver not loaded

Либа libqsqlite.so - из за неё была ошибка сегментирования  - запомню и откомпилю ffDiaporama на арче с её QT5  :)
« Последнее редактирование: 01 Декабрь 2021, 19:50:42 от Neyel »

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #8 : 02 Декабрь 2021, 13:36:34 »
Ещё можно попробовать запустить ffDiaporama на LFDS - я так понимаю там репа другая

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32840
  • Репутация: +222/-0
    • PuppyRus-A
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #9 : 03 Декабрь 2021, 09:30:59 »
на LFDS - я так понимаю там репа другая
да

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #10 : 06 Декабрь 2021, 18:11:52 »
Если собирать модуль ffDiaporama под LFD - то и библиотеки надо брать из репы, на которой собирался модуль qt5-noicu - а библиотеки следующие:
Код
live@d10:~$ sudo find /mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/ -name libQt5*
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5.11
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Concurrent.so.5.11.3
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Help.so.5
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Help.so.5.11
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Help.so.5.11.3
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Sql.so.5
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Sql.so.5.11
/mnt/.ffdiaporama-qt5-2.1-d10-sf01.pfs/usr/lib/x86_64-linux-gnu/libQt5Sql.so.5.11.3
Иначе будет ошибка:
Cannot mix incompatible Qt library (5.11.3) with this library (5.15.2)

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #11 : 06 Декабрь 2021, 18:32:49 »
Попробовал версию qt5 версии 5.13 - ошибка та же. Других модулей qt5 в репозитарии нет

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32840
  • Репутация: +222/-0
    • PuppyRus-A
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #12 : 08 Декабрь 2021, 11:12:08 »
модуль qt5-noicu - а библиотеки следующие:
Для этой версии не компилил все либы. Можно попробовать подкинуть из аналогтчной версии из арчрепы. Загружать попакетно pacman-arm

Берите qt из репы используемого дистра
Готовый есть только для прар2110 https://mirror.yandex.ru/puppyrus/roll/2110/pfs/030-qt5-5.15.2-2110-sf01.pfs

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 1636
  • Репутация: +28/-0
  • Автор темы
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #13 : 15 Март 2022, 18:32:36 »
Ещё можно попробовать запустить ffDiaporama на LFDS
Запустил без танцев с бубном - установил ffDiaporama из репозитария LFDS а также установил
libqt5sql5-sqlite
Буду пользоваться LFDS касаемо ffDiaporama :)

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 32840
  • Репутация: +222/-0
    • PuppyRus-A
Re: LFD10-21.11 ffDiaporama не запускается
« Ответ #14 : 16 Март 2022, 09:37:28 »
Запустил без танцев с бубном - установил ffDiaporama из репозитария LFDS
Именно для этого LFDS и создавался. Запустить что-то из репы по стандартной деб. инструкции